aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichał Łyszczek <michal.lyszczek@bofc.pl>2019-05-19 14:41:42 +0200
committerMichał Łyszczek <michal.lyszczek@bofc.pl>2019-05-19 14:41:42 +0200
commit53541923b2374cbcb7873f6eccba67bd5220ebe8 (patch)
treeb7a6590250fd486097cee44a8c7345896fe590ab
parent35ee21987ad3f7b1eab2388b76153dec3189164a (diff)
downloadembedlog-53541923b2374cbcb7873f6eccba67bd5220ebe8.tar.gz
embedlog-53541923b2374cbcb7873f6eccba67bd5220ebe8.tar.bz2
embedlog-53541923b2374cbcb7873f6eccba67bd5220ebe8.zip
test-compilation.sh: clone from local dir instead of remote server
- it allows for compilation tests without pushing to remote - clones are faster - clone doesn't crash when tere are a lot of parallel clones (server rejects connections) Signed-off-by: Michał Łyszczek <michal.lyszczek@bofc.pl>
-rwxr-xr-xtest-compilation.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/test-compilation.sh b/test-compilation.sh
index 6b0f10a..0c64bd5 100755
--- a/test-compilation.sh
+++ b/test-compilation.sh
@@ -14,9 +14,10 @@ prepare()
{
project="${1}"
slot="${2}"
+ project_dir="${3}"
# clone
- if ! git clone git://kurwinet.pl/"${project}" "${project}-${slot}"
+ if ! git clone "${project_dir}" "${project}-${slot}"
then
echo "couldn't clone, sorry"
exit 1
@@ -151,7 +152,7 @@ done
# run preparation
parallel --output-as-files --bar --results "${workdir}" \
--halt-on-error now,fail=1 --jobs ${num_jobs} \
- prepare ::: "${project}" ::: ${slots}
+ prepare ::: "${project}" ::: ${slots} ::: "${project_dir}"
# and run distcheck tests, will take a loooong time
cat ${combination_file} | parallel --output-as-files --bar \